apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose --file docker-compose.yml convert
    kompose.version: 1.33.0 (3ce457399)
  labels:
    io.kompose.service: server
  name: server
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: server
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose --file docker-compose.yml convert
        kompose.version: 1.33.0 (3ce457399)
      labels:
        io.kompose.network/forgejo-forgejo: "true"
        io.kompose.service: server
    spec:
      containers:
        - env:
            - name: USER_GID
              value: "1000"
            - name: USER_UID
              value: "1000"
          image: codeberg.org/forgejo/forgejo:9
          name: forgejo
          ports:
            - containerPort: 3000
              protocol: TCP
            - containerPort: 22
              protocol: TCP
          volumeMounts:
            - mountPath: /data
              name: server-claim0
            - mountPath: /etc/timezone
              name: server-cm1
              readOnly: true
              subPath: timezone
            - mountPath: /etc/localtime
              name: server-cm2
              readOnly: true
              subPath: localtime
      restartPolicy: Always
      volumes:
        - name: server-claim0
          hostPath:
            path: /media/kube/forgejo
        - configMap:
            items:
              - key: timezone
                path: timezone
            name: server-cm1
          name: server-cm1
        - configMap:
            items:
              - key: localtime
                path: localtime
            name: server-cm2
          name: server-cm2
